Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.delegate
Class DelegatingToggleGroup

    java.lang.Object
      com.pietschy.command.Command
          com.pietschy.command.group.CommandGroup
              com.pietschy.command.delegate.DelegatingToggleGroup

All Implemented Interfaces:
  Bindable, Identifiable, ToggleContainer

    public class DelegatingToggleGroup

extends CommandGroup
implements ToggleContainer

DelegatingToggleGroups delegates to the `ToggleCommand` members of a `ToggleGroup`.

The following is an example:

      delegatingGroup = new DelegatingToggleGroup("text-styles");
      delegatingGroup.bind(commandContainer);

This group will then mirror the "text-styles" ToggleGroup.

DelegatingToggleGroups provided the functionality reqired to render toggles using the correct styles on Mac OS. This functionality can't be provided using stand alone DelegatingToggleCommand instances.

See Also:
  `DelegatingCommand`, `DelegatingToggleCommand`, `DelegateMediator`

Nested Class Summary
`(package private) static class` | `DelegatingToggleGroup.DelegatingToggleGroupBuilder` Internal builder implementation that installs DelegatingToggleCommands.

Field Summary

Fields inherited from class com.pietschy.command.Command
`internalLog, PROPERTY_ENABLED, PROPERTY_VISIBLE`

Constructor Summary
`DelegatingToggleGroup(java.lang.String id)`

Method Summary
`GroupBuilder` | `getBuilder()` Gets the current builder for this group.
`boolean` | `isAllowableMember(Command prospectiveMember)` Checks if the specified `Command` can be added to this group.

Methods inherited from class com.pietschy.command.group.CommandGroup
`addGroupListener, bindToContainer, createButton, createButton, createMemberManager, createMenuBar, createMenuBar, createMenuBar, createMenuBar, createMenuItem, createMenuItem, createPopupMenu, createPopupMenu, createPopupMenu, createToolBar, createToolBar, createToolBar, createToolBar, getExpansionPointBuilder, getMemberCount, getMemberListSpec, getMemberManager, getPopupContext, memberIterator, rebuildMembersFromSpec, removeGroupListener, setMemberListSpec, unbindFromContainer, visit, visitMembers`

Methods inherited from class com.pietschy.command.Command
`addContainerPropertyListener, addFace, addHoverListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, attach, bind, bind, bind, buttonIterator, configureAppearance, configureAppearances, configureButtonAppearances, configureButtonStates, configureButtonStates, createButton, createButton, createButton, createComponent, createMenuItem, createMenuItem, createMenuItem, detach, doButtonAttachments, doButtonDetachments, faceExists, findBestFace, fireHoverEnded, fireHoverStarted, fireIndexedPropertyChange, fireIndexedPropertyChange, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlternativeFaceContexts, getButtonFactory, getButtonIn, getCommandContainer, getContainerProperty, getDefaultFace, getDefaultFace, getFace, getFace, getId, getMenuFactory, getProperty, getProperty, getPropertyNames, getToolbarFactory, isAnonymous, isAttachedTo, isBound, isEnabled, isVisible, loadConfiguration, notifyCommandContainerHierarchyChanged, putProperties, putProperty, rebind, removeContainerPropertyListener, removeHoverListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, requestFocusIn, setButtonFactory, setEnabled, setMenuFactory, setToolbarFactory, setVisible, toString, unbind, validateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingToggleGroup

    public DelegatingToggleGroup(java.lang.String id)

Method Detail

### isAllowableMember

    public boolean isAllowableMember(Command prospectiveMember)

  Description copied from class: `CommandGroup`
  Checks if the specified `Command` can be added to this group. By default this method returns `true` but can be overriden by subclasses to control the command types that are allowable.

  Overrides:
    `isAllowableMember` in class `CommandGroup`
  Parameters:
    `prospectiveMember` - the command that is to be added to the group.
  Returns:
    `true` if the command type is allowable for this group, `false` otherwise.
  See Also:
    `ToggleGroup.isAllowableMember(com.pietschy.command.Command)`

### getBuilder

    public GroupBuilder getBuilder()

  Description copied from class: `CommandGroup`
  Gets the current builder for this group. This method will continue to return the same builder instance until `GroupBuilder.applyChanges()` or `GroupBuilder.discard()` is called.

  Overrides:
    `getBuilder` in class `CommandGroup`
  Returns:
    the current group builder.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch